
From: "Avery, Brian" <b.avery@hp.com>

I passed init=/mylinuxrc to the kernel on the command line.  The kernel
silently dropped down to exec /sbin/init.  It turned out that /mylinuxrc
had improper permissions.  Without any warning message from the kernel that
something was wrong it took awhile to find the issue.  The patch below adds
a warning.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 init/main.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff -puN init/main.c~add-init=-warning-to-init-mainc init/main.c
--- 25-alpha/init/main.c~add-init=-warning-to-init-mainc	2005-07-30 17:22:12.000000000 -0700
+++ 25-alpha-akpm/init/main.c	2005-07-30 17:22:12.000000000 -0700
@@ -708,10 +708,11 @@ static int init(void * unused)
 	 * The Bourne shell can be used instead of init if we are 
 	 * trying to recover a really broken machine.
 	 */
-
-	if (execute_command)
+	if (execute_command) {
 		run_init_process(execute_command);
-
+		printk(KERN_WARNING "Failed to execute %s.  Attempting "
+					"defaults...\n", execute_command);
+	}
 	run_init_process("/sbin/init");
 	run_init_process("/etc/init");
 	run_init_process("/bin/init");
_
